/* fgetsnn - get one line, omitting the newline (if any)
 * Returns the number of characters stored,
 * which equals size-1 only if no newline was found to that point.
 * Returns EOF at end of file.
 */
#include "local.h"
int fgetsnn(s, size, fp)
	char s[];
	int size;
	FILE *fp;
	{
	int i;
	metachar c;

	for (i = 0; i < size-1 && (c = getc(fp)) != EOF && c != '\n'; ++i)
		s[i] = c;
	if (c == EOF)
		return (EOF);
	/* else */
	s[i] = '\0';
	return (i);
	}
